QGIS Application - Bug report #20198
QGIS Server WFS DescribeFeatureType not following TYPENAME parameter
2018-10-23 05:26 PM - Uro$ Preloznik

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.4.3 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28019
Description

Call to DescribeFeatureType always returns all data for all layers in project, regarding TYPENAME parameter exists or not. This was
working in 3.2.
Easy test here on this server (fresh QGIS nightly build setup on Ubuntu 18.04)

https:/test.level2.si/wfs/edit_demo?SERVICE=WFS&#38;VERSION=1.1.0&#38;REQUEST=DescribeFeature Type&#38; TYPENAME-=li
es

Associated revisions

Revision 59fd8df3 - 2019-01-22 02:28 PM - Alessandro Pasotti

Fix server WFS TYPENAME filter in describeFeatureType

Fixes #20198

with tests

History

#1 - 2019-01-05 10:05 AM - Uros Preloznik

Server is upgraded to 3.4.3 and problem remains

#2 - 2019-01-07 09:15 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Affected QGIS version changed from 3.3(master) to 3.4.3
- Priority changed from Normal to High

#3 - 2019-01-22 09:47 AM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti

#4 - 2019-01-23 08:44 AM - Alessandro Pasotti
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|59fd8df336f9ba0160ee79935741431ab9f80827.
https://test.level2.si/wfs/edit_demo?SERVICE=WFS&#38;VERSION=1.1.0&#38;REQUEST=DescribeFeatureType&#38;TYPENAME=lines
https://test.level2.si/wfs/edit_demo?SERVICE=WFS&#38;VERSION=1.1.0&#38;REQUEST=DescribeFeatureType&#38;TYPENAME=lines
